### Constructor

# Clutter KeyframeTransition new

#### Declaration [src]

    ClutterTransition*
    clutter_keyframe_transition_new (
      const char* property_name
    )

#### Description [src]

Creates a new `ClutterKeyframeTransition` for `property_name`.

#### Parameters

`property_name`

  Type: `const char*`

  The property to animate.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterTransition`

The newly allocated `ClutterKeyframeTransition` instance. Use `g_object_unref()` when done to free its resources.

The caller of the function takes ownership of the data, and is responsible for freeing it.